TRACEROUTE6(8) | System Manager's Manual | TRACEROUTE6(8)

# NAME

`traceroute6` —
print the route IPv6 packets will take to the destination

# SYNOPSIS

`traceroute6` | [`-adIlnrv`] [`-A` as_server] [`-f` firsthop] [`-m` hoplimit] [`-p` port] [`-q` probes] [`-s` src] [`-w` waittime] target [datalen]

# DESCRIPTION

`traceroute6` uses the IPv6 protocol hop limit field to elicit an ICMPv6 `TIME_EXCEEDED` response from each gateway along the path to some host.

The only mandatory parameter is the destination host name or IPv6 address. The default probe datagram carries 12 bytes of payload, in addition to the IPv6 header. The size of the payload can be specified by giving a length (in bytes) after the destination host name.

Other options are:

`-A`
  Turn on AS# lookups and use the given server instead of the default.
`-a`
  Turn on AS# lookups for each hop encountered.
`-d`
  Turn on socket-level debugging.
`-f` firsthop
  Specify how many hops to skip in trace.
`-I`
  Use ICMP6 ECHO instead of UDP datagrams.
`-l`
  Print both host hostnames and numeric addresses. Normally `traceroute6` prints only hostnames if `-n` is not specified, and only numeric addresses if `-n` is specified.
`-m` hoplimit
  Specify maximum hoplimit, up to 255. The default is 30 hops.
`-n`
  Do not resolve numeric address to hostname.
`-p` port
  Set the base UDP port number use in probes to port. The default is 33434. `traceroute6` hopes that nothing is listening on UDP ports base to base + nhops - 1 at the destination host (so an ICMPv6 `PORT_UNREACHABLE` message will be returned to terminate the route tracing). If something is listening on a port in the default range, this option can be used to pick an unused port range.
`-q` probes
  Set the number of probe packets sent per hop count to probes. By default, `traceroute6` sends three probe packets.
`-r`
  Bypass the normal routing tables and send directly to a host on an attached network. If the host is not on a directly-attached network, an error is returned. This option can be used to send probes to a local host through an interface that has no route through it (e.g., after the interface was dropped by route6d(8)).
`-s` src
  Use the IPv6 address, src, as the source address in outgoing probe packets.
`-v`
  Be verbose. Received ICMPv6 packets other than `TIME_EXCEEDED` and `UNREACHABLEs` are listed.
`-w` waittime
  Use waittime as the delay in seconds, between probes. The default is 5 seconds.

This program prints the route to the given destination and the round-trip time to each gateway, in the same manner as traceroute.

Here is a list of possible annotations after the round-trip time for each gateway:

!N
  Destination Unreachable - No Route to Host.
!X
  Destination Unreachable - Administratively Prohibited.
!S
  Destination Unreachable - Not a Neighbour.
!H
  Destination Unreachable - Address Unreachable.
!
  This is printed if the hop limit is <= 1 on a port unreachable message. This means that the packet got to the destination, but that the reply had a hop limit that was just large enough to allow it to get back to the source of the `traceroute6`. This was more interesting in the IPv4 case, where some IP stack bugs could be identified by this behaviour.

# EXIT STATUS

The `traceroute6` utility exits 0 on success, and >0 if an error occurs.

# SEE ALSO

ping(8), ping6(8), traceroute(8)

# HISTORY

The `traceroute6` command first appeared in WIDE hydrangea IPv6 protocol stack kit.

April 23, 2018 | NetBSD 10.1